Skip to main content
GET
/
auto-enrolment
/
not-complete
cURL
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v2/pension/auto-enrolment/not-complete
{
  "content": {
    "data": [
      {
        "organisationId": "<string>",
        "employeeId": "<string>",
        "determinationDate": "2023-12-25",
        "revisionNumber": 123,
        "status": "<string>",
        "associatedPayRunId": {
          "organisationId": "<string>",
          "year": 123,
          "period": 123,
          "frequency": "<string>",
          "payrollConfigId": "<string>"
        },
        "employee": {
          "organisationId": "<string>",
          "employeeId": "<string>",
          "firstName": "<string>",
          "lastName": "<string>"
        },
        "didPostpone": true,
        "didPostponementExpire": true,
        "postponementEndDate": "2023-12-25"
      }
    ],
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

includeEmployeeDetails
boolean

Response

200 - application/json

OK

content
object
metadata
object
errors
object[] | null
message
object